## mmark 2.2.25%2Bdfsg1

=== debian/control ===
Source: mmark
Section: golang
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Anthony Fok <foka@debian.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
               golang-github-burntsushi-toml-dev,
               golang-github-gomarkdown-markdown-dev,
               golang-github-google-go-cmp-dev
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/go-team/packages/mmark
Vcs-Git: https://salsa.debian.org/go-team/packages/mmark.git
Homepage: https://github.com/mmarkdown/mmark
XS-Go-Import-Path: github.com/mmarkdown/mmark

Package: mmark
Section: text
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Suggests: xml2rfc
Static-Built-Using: ${misc:Static-Built-Using}
Description: powerful markdown processor in Go geared towards the IETF (program)
 Mmark is a powerful markdown processor written in Go, geared towards
 writing IETF documents. It is, however, *also* suited for writing
 complete books and other technical documentation, like the Learning Go
 book (https://miek.nl/go), Internet-Draft text output
 (https://miek.nl/go/learninggo-2.txt)) and RFCs.
 .
 It provides an advanced markdown dialect that processes file(s) to
 produce internet-drafts in XML RFC 7991 format. Mmark can produce
 xml2rfc (aforementioned RFC 7991), HTML5 output, and manual pages.
 .
 Mmark uses gomarkdown (https://github.com/gomarkdown/markdown) which is
 a fork of blackfriday (https://github.com/russross/blackfriday/).
 .
 This package provides the /usr/bin/mmark executable binary and documentation.

Package: golang-github-mmarkdown-mmark-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-burntsushi-toml-dev,
         golang-github-gomarkdown-markdown-dev,
         golang-github-google-go-cmp-dev,
         ${misc:Depends}
Description: powerful markdown processor in Go geared towards the IETF (library)
 Mmark is a powerful markdown processor written in Go, geared towards
 writing IETF documents. It is, however, *also* suited for writing
 complete books and other technical documentation, like the Learning Go
 book (https://miek.nl/go), Internet-Draft text output
 (https://miek.nl/go/learninggo-2.txt)) and RFCs.
 .
 It provides an advanced markdown dialect that processes file(s) to
 produce internet-drafts in XML RFC 7991 format. Mmark can produce
 xml2rfc (aforementioned RFC 7991), HTML5 output, and manual pages.
 .
 Mmark uses gomarkdown (https://github.com/gomarkdown/markdown) which is
 a fork of blackfriday (https://github.com/russross/blackfriday/).
 .
 This package provides the github.com/mmarkdown/mmark Go library.
