## mmark 2.2.25+dfsg1

=== debian/changelog ===
mmark (2.2.25+dfsg1-2ubuntu0.24.04.3) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Wed, 25 Jun 2025 15:32:14 +1000

mmark (2.2.25+dfsg1-2ubuntu0.24.04.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Wed, 06 Nov 2024 16:18:52 +1000

mmark (2.2.25+dfsg1-2ubuntu0.24.04.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Thu, 11 Jul 2024 10:47:56 +0530

mmark (2.2.25+dfsg1-2build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:16:57 +1200

mmark (2.2.25+dfsg1-2) unstable; urgency=medium

  * Source-only upload for migration to testing
  * Fix NAME section in mmark.1 so it can be parsed correctly
    by lexgrog for query by apropos and whatis.
    See https://github.com/mmarkdown/mmark/pull/177
  * Replace Built-Using field with Static-Built-Using
  * Add "Suggests: xml2rfc" for the mmark binary package

 -- Anthony Fok <foka@debian.org>  Fri, 19 Aug 2022 08:30:02 -0600

mmark (2.2.25+dfsg1-1) unstable; urgency=medium

  * Initial release (Closes: #916202)
  * Remove RFC documents for DFSG compliance

 -- Anthony Fok <foka@debian.org>  Thu, 11 Aug 2022 16:38:05 -0600
